package game_test

import (
	"testing"

	"git.sunturtle.xyz/studio/shotgun/game"
)

func TestItemStrings(t *testing.T) {
	cases := []struct {
		item game.Item
		want string
	}{
		{game.ItemNone, ""},
		{game.ItemLens, "🔍"},
		{game.ItemCig, "🚬"},
		{game.ItemBeer, "🍺"},
		{game.ItemCuff, "👮"},
		{game.ItemKnife, "🔪"},
	}
	for _, c := range cases {
		got := c.item.String()
		if got != c.want {
			t.Errorf("Item(%d).String() == %q, want %q", c.item, got, c.want)
		}
	}
}
