// Package player implements data about players outside games.
package player

import "encoding/hex"

// ID is a unique ID for a player.
// May just be IPv6 (or IPv4-in-6) of their connection, or a UUID.
type ID [16]byte

func (id ID) String() string {
	return hex.EncodeToString(id[:])
}
